# EVM

### /getprice

Get the Price of a Stablecoin.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/stablecoin/getprice`

#### Query Parameters

| Name                                    | Type   | Description                                                             |
| --------------------------------------- | ------ | ----------------------------------------------------------------------- |
| asset<mark style="color:red;">\*</mark> | String | Name of the StableCoin.                                                 |
| stablecoinId                            | String | Refer to the [Stablecoin IDs](/ids/stablecoin-ids.md) page for details. |

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/stablecoin/getprice?asset=USDC
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "roundId": "36893488147419104052",
        "answer": "0.99999",
        "startedAt": "1675316735",
        "updatedAt": "1675316735",
        "answeredInRound": "36893488147419104052"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expand.network/integrations/stablecoins/evm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
